﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Diagram;

namespace MultipleConnectionPt
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            propertyEditor1.Diagram = this.diagram1;

            diagram1.Model.LineRoutingEnabled = true;
            diagram1.Model.LineRouter.RoutingMode = RoutingMode.Automatic;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Syncfusion.Windows.Forms.Diagram.Rectangle rect1 = new Syncfusion.Windows.Forms.Diagram.Rectangle(100, 100, 100, 100);
            Syncfusion.Windows.Forms.Diagram.Rectangle rect2 = new Syncfusion.Windows.Forms.Diagram.Rectangle(100, 300, 100, 100);
            

            diagram1.Model.AppendChild(rect1);
            diagram1.Model.AppendChild(rect2);

            OrgLineConnector line = new OrgLineConnector(new PointF(0, 0), new PointF(300, 300));
            rect1.CentralPort.TryConnect(line.TailEndPoint);
            rect2.CentralPort.TryConnect(line.HeadEndPoint);
            line.LineRoutingEnabled = true;
            diagram1.Model.AppendChild(line);
            Syncfusion.Windows.Forms.Diagram.Rectangle rect3 = new Syncfusion.Windows.Forms.Diagram.Rectangle(200, 300, 100, 100);

            diagram1.Model.AppendChild(rect3);
            diagram1.View.SelectionList.Clear();
           
        }
    }
}
